Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface ILockableEntityGroup

All Superinterfaces:
  IBasicEntity, IEntityGroup, IGroupMember

All Known Implementing Classes:
  LockableEntityGroupImpl

    public interface ILockableEntityGroup

extends IEntityGroup

Defines an `IEntityGroup` that can be locked for update.

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck

Method Summary
`IEntityLock` | `getLock()`
`void` | `setLock(IEntityLock lock)`
`void` | `updateAndRenewLock()` Updates the group and its members and renews the lock.
`void` | `updateMembersAndRenewLock()` Updates the members and renews the lock.

Methods inherited from interface org.jasig.portal.groups.IEntityGroup
`addMember, delete, getCreatorID, getDescription, getLocalKey, getName, getServiceName, isEditable, removeMember, setCreatorID, setDescription, setLocalGroupService, setName, update, updateMembers`

Methods inherited from interface org.jasig.portal.groups.IGroupMember
`contains, deepContains, equals, getAllContainingGroups, getAllEntities, getAllMembers, getContainingGroups, getEntities, getEntityType, getKey, getLeafType, getMemberGroupNamed, getMembers, getType, getUnderlyingEntityIdentifier, hashCode, hasMembers, isDeepMemberOf, isEntity, isGroup, isMemberOf`

Methods inherited from interface org.jasig.portal.IBasicEntity
`getEntityIdentifier`

Method Detail

### getLock

    IEntityLock getLock()

  Returns:
    org.jasig.portal.concurrency.IEntityLock

### setLock

    void setLock(IEntityLock lock)

  Parameters:
    `lock` - org.jasig.portal.concurrency.IEntityLock

### updateAndRenewLock

    void updateAndRenewLock()
                            throws GroupsException

  Updates the group and its members and renews the lock.

  Throws:
    `GroupsException`

### updateMembersAndRenewLock

    void updateMembersAndRenewLock()
                                   throws GroupsException

  Updates the members and renews the lock.

  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD